Bug 598159 - CVE-2010-1459 Mono: View State Cross-Site Scripting [Fedora all]
CVE-2010-1459 Mono: View State Cross-Site Scripting [Fedora all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Christian Krause
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2010-1459
  Show dependency treegraph
 
Reported: 2010-05-31 11:40 EDT by Jan Lieskovsky
Modified: 2010-07-13 14:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 14:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-05-31 11:40:49 EDT
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in affected Fedora versions.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

bug #598155:
CVE-2010-1459 Mono: View State Cross-Site Scripting

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product. Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=598155

Please note: this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed.

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs
Comment 1 Paul F. Johnson 2010-05-31 11:59:52 EDT
As this is prior to 2.6.4, it doesn't hit the current rawhide version, but will for others.

I'll check to see if this CVE can be safely addressed by changing FALSE to TRUE
Comment 2 Fedora Update System 2010-06-23 18:14:52 EDT
gnome-sharp-2.24.1-1.fc13,gtksourceview-sharp-2.0.12-11.fc13,mono-tools-2.6.2-1.fc13,mod_mono-2.6.3-1.fc13,xsp-2.6.4-1.fc13,mono-2.6.4-1.fc13,mono-basic-2.6.2-1.fc13,libgdiplus-2.6.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-sharp-2.24.1-1.fc13,gtksourceview-sharp-2.0.12-11.fc13,mono-tools-2.6.2-1.fc13,mod_mono-2.6.3-1.fc13,xsp-2.6.4-1.fc13,mono-2.6.4-1.fc13,mono-basic-2.6.2-1.fc13,libgdiplus-2.6.4-1.fc13
Comment 3 Fedora Update System 2010-07-13 03:47:28 EDT
gnome-sharp-2.24.1-1.fc13, gtksourceview-sharp-2.0.12-11.fc13, mono-tools-2.6.2-1.fc13, mod_mono-2.6.3-1.fc13, xsp-2.6.4-1.fc13, mono-2.6.4-1.fc13, mono-basic-2.6.2-1.fc13, libgdiplus-2.6.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Christian Krause 2010-07-13 14:49:06 EDT
mono-2.4.3.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If
problems still persist, please make note of it in this bug report.

The issue is now fixed in F12 and F13 and it was never present in RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.